﻿@model LAP.Areas.Adviser.Models.ArcOfLifeReportModel
@{
    Layout = null;
    var clientData = Model.ClientLogin.ClientData;
    var spouseData = Model.ClientLogin.SpouseData;
    var adviser = Model.ClientLogin.UserLogin;
    var adviserData = Model.ClientLogin.UserLogin?.UserData;
    var adviserBusinessContact = adviser.AdviserContactInfos.FirstOrDefault(m => m.AddressType == AddressTypeEnum.Business);
    var phones = !string.IsNullOrEmpty(adviserBusinessContact?.Phone) && !string.IsNullOrEmpty(adviserBusinessContact?.CellNumber) ? $"{adviserBusinessContact?.Phone}, {adviserBusinessContact?.CellNumber}" : !string.IsNullOrEmpty(adviserBusinessContact?.Phone) ? adviserBusinessContact?.Phone : adviserBusinessContact?.CellNumber;
    int clientAge = Convert.ToInt32(clientData.DateOfBirth.CalculateAge());
    int spouseAge = Convert.ToInt32(spouseData?.DateOfBirth.CalculateAge());
    bool spouseHasDOB = spouseData != null && spouseData.DateOfBirth.IsNotEmptyDate();
    var businessLogoImage = Model.BusinessLogoImage;
    var localDateTime = Model.LocalDateTime;
    var localDate = localDateTime.ToString("MMM dd, yyyy");
    var localTime = localDateTime.ToString("hh:mm tt");
    bool isMarried = clientData.MaritalStatus == MaritalStatusEnum.Married && spouseData != null && Convert.ToDateTime(clientData.DateOfCurrentMarriage).IsNotEmptyDate();
    bool hasSpouseOccupation = Model.SpouseHasOccupation;
    int year28 = 28;
    var spouseInitial = spouseData != null ? spouseData.Initial : string.Empty;
    var cashFlowReportData = Model.CashFlowReportData;
    int nonStructureColspan = 0, structureColspan = 0;
    if (Model.ClientPersonalPropertyTotal > 0) nonStructureColspan++; if (Model.SpousePersonalPropertyTotal > 0) nonStructureColspan++;
    if (Model.ClientInvestmentTotal > 0) nonStructureColspan++; if (Model.SpouseInvestmentTotal > 0) nonStructureColspan++;
    if (Model.ClientPersonalActivityTotal > 0) nonStructureColspan++; if (Model.SpousePersonalActivityTotal > 0) nonStructureColspan++;
    if (Model.ClientSocialSecurityTotal > 0) structureColspan++; if (Model.SpouseSocialSecurityTotal > 0) structureColspan++;
    if (Model.ClientPensionTotal > 0) structureColspan++; if (Model.SpousePensionTotal > 0) structureColspan++;
    if (Model.ClientAnnuityTotal > 0) structureColspan++; if (Model.SpouseAnnuityTotal > 0) structureColspan++;
    var isSingleOrDivorced = Model.ClientLogin.ClientData.MaritalStatus == MaritalStatusEnum.Unmarried || Model.ClientLogin.ClientData.MaritalStatus == MaritalStatusEnum.Divorced;
    var RIADisclosure = adviserData.RIADisclosure;
}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <title>@System.IO.Path.GetFileNameWithoutExtension(Model.FileName)</title>
    <link href="https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Roboto+Condensed:wght@300&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&display=swap" rel="stylesheet">
    <link href="~/css/report-style.css" rel="stylesheet" />
    <link href="~/css/arc-of-life.css" rel="stylesheet" />
    <link rel="stylesheet" href="https://maxst.icons8.com/vue-static/landings/line-awesome/line-awesome/1.3.0/css/line-awesome.min.css">
</head>
<body onload="onLoadReport()">
    <div class="page" id="page1">
        <div class="d-flex justify-content-between">
            <div style="width:670px">
                <div class="font-size-14" style="margin-top:30px;line-height:1.2">
                    <img src="~/images/report/LAP-logo-cover.png" height="70" style="margin-top:45px">
                    <div class="font-weight-500" style="margin-top:45px">Prepared For:</div>
                    <div>
                        <div>@clientData.Name</div>
                        <div>@(clientData.Gender), Age @clientAge</div>
                        @if (isMarried)
                        {
                            <div style="margin-top:25px">@spouseData.Name</div>
                            if (spouseHasDOB)
                            {
                                <div>@(spouseData.Gender), Age @spouseAge</div>
                            }
                        }
                    </div>
                    <div class="font-weight-500" style="margin-top:25px">Prepared On:</div>
                    <div>@localDate</div>
                    <div>@localTime</div>
                    <div style="height: 80px; margin-top:40px">
                        @if (!string.IsNullOrEmpty(businessLogoImage))
                        {
                            <img src="@businessLogoImage" height="80" />
                        }
                    </div>
                    <div class="font-weight-500" style="margin-top:30px">Prepared By:</div>
                    <div>
                        <div>@adviserData.Name</div>
                        <div style="margin-top:10px">
                            <div>@adviserBusinessContact?.Address</div>
                            <div>@adviserBusinessContact?.Address2</div>
                            @if (!string.IsNullOrEmpty(adviserBusinessContact?.ZipCode))
                            {
                                var businessStateCityZip = $"{adviserBusinessContact?.City}, {adviserBusinessContact?.State} {adviserBusinessContact?.ZipCode}";
                                <div>@businessStateCityZip</div>
                            }
                            @if (!string.IsNullOrEmpty(phones))
                            {
                                <div>@phones</div>
                            }
                        </div>
                        <div style="margin-top:10px">NPN Insurance License No: @adviserData.NPN</div>
                    </div>
                </div>
            </div>
            <div style="width:480px">
                <img src="/images/report/LAP-Report-TOC-background.png" style="width:100%">
                <div class="right-image-content">
                    <p class="font-size-18 font-weight-light" style="margin-bottom: 10px;">Table of Contents</p>
                    <table style="width:610px;" class="font-size-12">
                        <tbody>
                            <tr>
                                <td class="font-weight-500" width="500">
                                    Arc of Life
                                    <sup>™</sup>
                                    <span style="margin-left: 10px;">Financial Phases</span>
                                </td>
                                <td>Page 2</td>
                            </tr>
                            <tr>
                                <td class="font-weight-500">
                                    Arc of Life
                                    <sup>™</sup>
                                    <span style="margin-left: 10px;">Overview</span>
                                </td>
                                <td>Page 3</td>
                            </tr>
                            <tr>
                                <td class="font-weight-500">
                                    Arc of Life
                                    <sup>™</sup>
                                    <span style="margin-left: 10px;">Summary</span>
                                </td>
                                <td>Page 4</td>
                            </tr>
                            <tr>
                                <td class="font-weight-500">
                                    Arc of Life
                                    <sup>™</sup>
                                    <span style="margin-left: 10px;">Cash Flow Report</span>
                                </td>
                                <td>Page 5</td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <div style="height:140px;margin-top:20px;">
            @if (!string.IsNullOrEmpty(RIADisclosure))
            {
                <p class="disclosure" style="font-size:19px">
                    @RIADisclosure
                </p>
            }
        </div>
    </div>
    <p class="new-page"></p>
    <div class="page" id="page2">
        <div class="font-size-20 font-weight-500 lap-primary-text" style="margin-top:10px;text-align:center;position:relative">
            Arc of Life
            <sup>™</sup>
            <span style="margin-left: 10px;">Financial Phases</span>
        </div>
        <div class="d-flex" style="margin-bottom:12px;">
            <div class="overview-text font-size-12" style="margin-top:30px">
                <p style="width:500px">
                    The Arc of Life™ illustrates retirement planning, from Accumulation to Distribution over a person’s lifetime.
                </p>
                <p style="width: 500px">
                    The Arc of Life™ reveals how your income, expenses, and investment strategies are woven into the fabric of the architecture of your life.
                </p>
            </div>
            <div>
                <img src="/images/report/LAP-Overview-Graphic.png" style="width:780px">
            </div>
        </div>
        <div style="position:relative" class="overview-text">
            <img src="/images/report/LAP-Overview-Text-Boxes.png" style="width:1550px">
            <div class="d-flex">
                <div class="overview-box" id="overview-1">
                    <span class="overview-title">Accumulation</span>
                    <p style="margin-top: -10px;">
                        The productive years during which we are actively
                        engaged in earning revenue and growing wealth.
                        When we begin to save for retirement, this is
                        the Accumulation phase of our life. For most
                        persons this commences between age 18 and 22,
                        and continues until our retirement, which most
                        often occurs between the ages of 65 and 70. The
                        earlier you begin saving the greater the benefits of
                        compound interest and protection from risks from
                        business cycles.
                    </p>
                    <p>
                        As you approach the final 5 to 10 years of your
                        Accumulation phase it’s prudent to retool your
                        financial strategy to reduce investment risk.
                    </p>
                </div>
                <div class="overview-box" id="overview-2">
                    <span class="overview-title">Preservation | Income</span>
                    <p style="margin-bottom: 10px; margin-top: -10px;">
                        Upon retirement you leave the Accumulation phase
                        and enter the Preservation | Income phase. For
                        many, retirees are dependent on distributions from
                        investments to generate necessary retirement
                        income. This is typically between the ages of 65
                        and 70. The length of years for this phase will vary
                        based upon your age at retirement, your health
                        and longevity, and your lifestyle. With advances
                        in healthcare some of us can expect to live several
                        decades or longer in this phase.
                    </p>
                    <span class="consumer-smothing-text">Consumer Smoothing</span>
                    <p style="margin-top: 10px;">
                        The need for income in retirement is directly
                        correlated to the person’s mobility and their
                        personal consumerism. As a person’s mobility
                        decreases, their daily activities decrease, thus a
                        reduced need for discretionary income. Consumer
                        Smoothing typically occurs between ages, 78-88.
                    </p>
                </div>
                <div class="overview-box" id="overview-3">
                    <span class="overview-title">Distribution</span>
                    <p style="margin-top: -10px;">
                        The Distribution phase occurs when a person’s
                        life ends. At this phase a person’s accumulated
                        assets, property, and personal belongings are
                        distributed to their family or designated heirs.
                        One’s mortality typically occurs between the ages
                        of 75 and 105.
                    </p>
                    <p>
                        Legal documents such as a will or trust are often
                        used to distribute accumulated assets, property,
                        and personal belongings to family members or
                        designated heirs.
                    </p>
                    <p>
                        Proactive legal planning completed prior to the
                        Distribution phase can be an effective approach
                        in asset protection.
                    </p>
                </div>
            </div>
        </div>
    </div>
    <p class="new-page"></p>
    <div class="page" id="page3">
        <div class="page-content">
            <div class="font-size-20 font-weight-500 lap-primary-text" style="text-align: center; position: relative;margin-bottom:5px">
                Arc of Life
                <sup>™</sup>
                <span style="margin-left: 10px;">Overview</span>
            </div>
            <div style="position: relative; font-family:'Lato', sans-serif;" class="font-weight-500 accupredistri">
                <div class="accumlation @((Model.IsClientRetired && Model.IsSpouseRetired) || (isSingleOrDivorced && Model.IsClientRetired)  ? "accumlation-na":"")">
                    <label style="position: absolute;top: 115px;left: 98px;" class="label-sm">
                        @clientAge
                    </label>
                    <label style="position: absolute; top: 150px; left:98px;" class="label-sm @(isMarried && spouseHasDOB ?"":"text-danger")">
                        @(isMarried && spouseHasDOB ? spouseAge : "N/A")
                    </label>
                    <label style="position: absolute;top: 130px;left: 285px;">
                        @string.Format("{0:C0}", Model.Accumulation.Residence)
                    </label>

                    <label style="position: absolute; top: 128px; left: 504px;">
                        @string.Format("{0:C0}", Model.Accumulation.Assets)
                    </label>
                    <div class="client-data @(Model.IsClientRetired  ? "accumlation-na":"")">
                        <label style="position: absolute; top: 245px; left: 120px;">
                            @string.Format("{0:C0}", Model.Accumulation.ClientIncome)
                        </label>
                        <label style="position: absolute; top: 342px; left: 120px;">
                            @string.Format("{0:C0}", Model.Accumulation.ClientRetirement)
                        </label>
                        <label style="position: absolute; top: 436px; left: 120px;">
                            @string.Format("{0:C0}", Model.Accumulation.ClientSocialSecurity)
                        </label>
                    </div>
                    <div class="spouse-data @(!isMarried  ? "accumlation-na":"")">
                        <label style="position: absolute;top: 244px; left: 495px;">
                            @(isMarried ? string.Format("{0:C0}", Model.Accumulation.SpouseIncome) : "N/A")
                        </label>
                        <label style="position: absolute;top: 341px; left: 495px;">
                            @(isMarried ? string.Format("{0:C0}", Model.Accumulation.SpouseRetirement) : "N/A")
                        </label>
                        <label style="position: absolute;top: 438px; left: 495px;">
                            @(isMarried ? string.Format("{0:C0}", Model.Accumulation.SpouseSocialSecurity) : "N/A")
                        </label>
                    </div>
                    <label style="position: absolute; top: 496px; left: 343px;" class="label-sm">
                        @Model.TotalHeirs
                    </label>

                    <label style="position: absolute; top: 640px; left: 13px;">
                        @string.Format("{0:C0}", Model.Accumulation.Savings)
                    </label>
                    <label style="position: absolute; top: 640px; left: 139px;" class="@(clientData.InvestmentVersion? "":"text-danger text-left")">
                        @(clientData.InvestmentVersion ? string.Format("{0:C0}", Model.Accumulation.Life) : "N/A")
                    </label>
                    <label style="position: absolute; top: 640px; left: 265px;">
                        @string.Format("{0:C0}", Model.Accumulation.Annuities)
                    </label>
                    <label style="position: absolute; top: 640px; left: 390px;">
                        @string.Format("{0:C0}", Model.Accumulation.Investments)
                    </label>
                    <label style="position: absolute; top: 640px; left: 517px;" class="@(clientData.InvestmentVersion? "":"text-danger text-left")">
                        @(clientData.InvestmentVersion ? string.Format("{0:C0}", Model.Accumulation.Education) : "N/A")
                    </label>
                </div>
                <div class="preservation" style="left: 675px;position: absolute;">
                    <label style="position: absolute; top: 115px; left: 76px;" class="label-sm">
                        @Model.ClientRetirementAge
                    </label>
                    <label style="position: absolute;top: 150px;left: 76px;" class="label-sm @(isMarried && spouseHasDOB ? "" : "text-danger")">
                        @(isMarried && spouseHasDOB ? Model.SpouseRetirementAge : "N/A")
                    </label>

                    <label style="position: absolute; top: 92px; left: 480px;">
                        @string.Format("{0:C0}", Model.Preservation.Residence)
                    </label>

                    <label style="position: absolute; top: 141px; left: 480px;">
                        @string.Format("{0:C0}", Model.Preservation.Assets)
                    </label>

                    <label style="position: absolute; top: 245px; left: 105px;">
                        @string.Format("{0:C0}", Model.Preservation.ClientIncome)
                    </label>
                    <label style="position: absolute; top: 341px; left: 105px;">
                        @string.Format("{0:C0}", Model.Preservation.ClientRetirement)
                    </label>
                    <label style="position: absolute; top: 438px; left: 105px;">
                        @string.Format("{0:C0}", Model.Preservation.ClientSocialSecurity)
                    </label>
                    <div class="spouse-data @(!isMarried  ? "accumlation-na text-left":"")">
                        <label style="position: absolute; top: 244px; left: 470px;">
                            @(isMarried ? string.Format("{0:C0}", Model.Preservation.SpouseIncome) : "N/A")
                        </label>
                        <label style="position: absolute; top: 340px; left: 470px;">
                            @(isMarried ? string.Format("{0:C0}", Model.Preservation.SpouseRetirement) : "N/A")
                        </label>
                        <label style="position: absolute; top: 438px; left: 470px;">
                            @(isMarried ? string.Format("{0:C0}", Model.Preservation.SpouseSocialSecurity) : "N/A")
                        </label>
                    </div>
                    <label style="position: absolute; top: 480px; left: 323px;" class="label-sm">
                        @Model.TotalHeirs
                    </label>

                    <label style="position: absolute; top: 640px; left: 2px;">
                        @string.Format("{0:C0}", Model.Preservation.Savings)
                    </label>
                    <label style="position: absolute; top: 640px; left: 125px;" class="@(clientData.InvestmentVersion? "":"text-danger text-left")">
                        @(clientData.InvestmentVersion ? string.Format("{0:C0}", Model.Preservation.Life) : "N/A")
                    </label>
                    <label style="position: absolute; top: 640px; left: 250px;">
                        @string.Format("{0:C0}", Model.Preservation.Annuities)
                    </label>
                    <label style="position: absolute; top: 640px; left: 370px;">
                        @string.Format("{0:C0}", Model.Preservation.Investments)
                    </label>
                    <label style="position: absolute; top: 640px; left: 494px;" class="@(clientData.InvestmentVersion? "":"text-danger text-left")">
                        @(clientData.InvestmentVersion ? string.Format("{0:C0}", Model.Preservation.Education) : "N/A")
                    </label>
                </div>
                <div class="distribution" style="top: 40px;left: 1298px;position: absolute;">
                    <label style="position: absolute; top: 53px; left: 75px;" class="label-sm">
                        @(clientAge + year28)
                    </label>
                    <label style="position: absolute; top: 88px; left: 75px;" class="label-sm @(isMarried? "" : "text-danger")">
                        @(isMarried ? spouseAge + year28 : "N/A")
                    </label>
                    <label style="position: absolute; top: 180px; left: 105px; " class="label-sm">
                        @Model.TotalHeirs
                    </label>

                    <label style="position: absolute; top: 224px; left: 105px;">
                        @string.Format("{0:C0}", Model.Distribution.Residence)
                    </label>

                    <label style="position: absolute; top: 284px;left: 105px;">
                        @string.Format("{0:C0}", Model.Distribution.Assets)
                    </label>

                    <label style="position: absolute; top: 346px; left: 105px;">
                        @string.Format("{0:C0}", Model.Distribution.ClientIncome)
                    </label>

                    <label style="position: absolute; top: 407px; left: 105px;">
                        @string.Format("{0:C0}", Model.Distribution.Savings)
                    </label>

                    <label style="position: absolute; top: 467px; left: 105px;">
                        @string.Format("{0:C0}", Model.Distribution.Life)
                    </label>

                    <label style="position: absolute; top: 528px; left: 105px;">
                        @string.Format("{0:C0}", Model.Distribution.Annuities)
                    </label>

                    <label style="position: absolute; top: 589px; left: 105px;">
                        @string.Format("{0:C0}", Model.Distribution.Investments)
                    </label>
                </div>
            </div>

            <img src="/images/report/LAP-ArcofLife-graphic.png" style="margin-top: -10px; margin-left: -5px; width: 1550px">

            <div class="d-flex" style="position:relative">
                <img src="/images/report/Acc-@(clientData.Gender == GenderEnum.Male ? "Male" : "Female")-Big.png" class="icon-male-female" style="top: -394px; left: 315px;">
                <img src="/images/report/Pres-@(clientData.Gender == GenderEnum.Male ? "Male" : "Female")-Big.png" class="icon-male-female" style="top: -394px; left: 970px;">
                @if (isMarried)
                {
                    <img src="/images/report/Acc-@(spouseData.Gender == GenderEnum.Male ? "Male" : "Female")-Big.png" class="icon-male-female" style="top: -394px; left: 390px;">
                    <img src="/images/report/Pres-@(spouseData.Gender == GenderEnum.Male ? "Male" : "Female")-Big.png" class="icon-male-female" style="top: -394px; left: 1045px;">
                }
            </div>

            <div class="d-flex" style="margin-top: -10px; margin-left: 5px">
                <img src="/images/report/LAP-ArcofLife-Explicit-icon.png" height="30" style="margin-right:940px">
                <img src="/images/report/LAP-ArcofLife-LongTermCare-icon.png" height="30" style="margin-right:290px">
                <img src="/images/report/LAP-ArcofLife-EstatePlann-icon.png" height="30">
            </div>

            <div class="d-flex">
                <table style="width:970px" class="explicit-vue-table">
                    <thead>
                        <tr class="bg-lap-primary">
                            <th colspan="4">Explicit Vue</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td style="width:310px">Current Investment Total</td>
                            <td style="width: 100px">@string.Format("{0:C0}", Model.ExplicitVue.TotalInvestment)</td>
                            <td>Projected Income at Retirement</td>
                            <td style="width: 100px">@string.Format("{0:C0}", Model.ExplicitVue.StructureIncomeAtRetirement)</td>
                        </tr>
                        <tr>
                            <td>Investments Needed at Retirement</td>
                            <td>@string.Format("{0:C0}", Model.ExplicitVue.InvestmentAccountNeededAtRetirement)</td>
                            <td>Expense at Retirement</td>
                            <td>@string.Format("{0:C0}", Model.ExplicitVue.ExpenseAtRetirement)</td>
                        </tr>
                        <tr>
                            <td>Projected Value of Investments at Retirement </td>
                            <td>@string.Format("{0:C0}", Model.ExplicitVue.ProjectedValueOfInvestmentAtRetirement)</td>
                            <td>Current Annual Average Rate of Return</td>
                            <td>@string.Format("{0:0.00}%", Model.ExplicitVue.CurrentRoR)</td>
                        </tr>
                        <tr>
                            <td>Financial Independence Score</td>
                            <td>@string.Format("{0:0.00}%", Model.ExplicitVue.Fis)</td>
                            <td style="text-align:left !important">Required Annual Average Rate of Return</td>
                            <td>@string.Format("{0:0.00}%", Model.ExplicitVue.RequiredRoR)</td>
                        </tr>
                    </tbody>
                </table>
                <table style="width:313px;margin-left:10px;" class="explicit-vue-table">
                    <tbody>
                        <tr>
                            <th class="bg-lap-secondary">Long-Term Care</th>
                            <td style="border:1px solid #000;text-align:@(Model.HasHealthCarePlanning ?"right":"left")!important;width:120px" class="@(Model.HasHealthCarePlanning ?"":"text-danger")">@(Model.HasHealthCarePlanning ? string.Format("{0:C0}", Model.LongTermCareRate) : "N/A")</td>
                        </tr>
                    </tbody>
                </table>
                <table class="explicit-vue-table" style="width:230px;margin-left:10px;">
                    <thead>
                        <tr class="bg-lap-success">
                            <th colspan="2">Estate Planning</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td>Will</td>
                            <td style="width:20px">
                                @if (Model.HasEstatePlanning && Model.EstatePlanning.Will)
                                {
                                    <i class="icon-xl la la-check text-lap-success"></i>
                                }
                            </td>
                        </tr>
                        <tr>
                            <td>Trust</td>
                            <td>
                                @if (Model.HasEstatePlanning && Model.EstatePlanning.Trust)
                                {
                                    <i class="icon-xl la la-check text-lap-success"></i>
                                }
                            </td>
                        </tr>
                        <tr>
                            <td>Power of Attorney</td>
                            <td>
                                @if (Model.HasEstatePlanning && Model.EstatePlanning.PowerOfAttorney)
                                {
                                    <i class="icon-xl la la-check text-lap-success"></i>
                                }
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <p class="new-page"></p>
    <div id="page4" class="page">
        <div class="font-size-20 font-weight-500 lap-primary-text" style="text-align: center; position: relative;margin-top:20px">
            Arc of Life
            <sup>™</sup>
            <span style="margin-left: 10px;">Summary</span>
        </div>
        <div class="font-size-16 font-weight-400" style="color: #001E54; margin: 5px 0;">Accumulation</div>
        <div class="d-flex accumlation @(Model.IsClientRetired && Model.IsSpouseRetired ? "accumlation-na":"")">
            <table class="explicit-vue-table" style="width: 500px; margin-right: 3px">
                <thead>
                    <tr>
                        <th colspan="2" class="bg-lap-primary">Cash Flow Analysis</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>Household Income</td>
                        <td class="text-maroon" style="width: 120px">@string.Format("{0:C0}", Model.Accumulation.CashFlowAnalysis.HouseholdIncome)</td>
                    </tr>
                    <tr>
                        <td>Earned Income</td>
                        <td>@string.Format("{0:C0}", Model.Accumulation.CashFlowAnalysis.EarnedIncome)</td>
                    </tr>
                    <tr>
                        <td>Other Income</td>
                        <td>@string.Format("{0:C0}", Model.Accumulation.CashFlowAnalysis.OtherIncome)</td>
                    </tr>
                    <tr>
                        <td>Employer Pension</td>
                        <td>@string.Format("{0:C0}", Model.Accumulation.CashFlowAnalysis.EmployerPension)</td>
                    </tr>
                    <tr>
                        <td>Household Expenses</td>
                        <td class="text-maroon">@string.Format("{0:C0}", Model.Accumulation.CashFlowAnalysis.HouseholdExpenses)</td>
                    </tr>
                    <tr>
                        <td>Inflationary Expenses</td>
                        <td>@string.Format("{0:C0}", Model.Accumulation.CashFlowAnalysis.InflationaryExpenses)</td>
                    </tr>
                    <tr>
                        <td>Non-Inflationary Expenses</td>
                        <td>@string.Format("{0:C0}", Model.Accumulation.CashFlowAnalysis.NonInflationaryExpenses)</td>
                    </tr>
                </tbody>
                <tfoot>
                    <tr>
                        <td>Cash Flow Analysis Total</td>
                        <td class="text-maroon">@Model.Accumulation.CashFlowAnalysis.CashFlowAnalysisTotal.FormatNagativeAmount()</td>
                    </tr>
                </tfoot>
            </table>
            <table class="explicit-vue-table" style="width: 500px; margin-right: 3px">
                <thead>
                    <tr>
                        <th colspan="2" class="bg-lap-primary">Asset Analysis</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>Employer Retirement Plans</td>
                        <td style="width: 120px">@string.Format("{0:C0}", Model.Accumulation.AssetAnalysis.EmployerRetirementPlans)</td>
                    </tr>
                    <tr>
                        <td>Bank Assets</td>
                        <td>@string.Format("{0:C0}", Model.Accumulation.AssetAnalysis.BankAssets)</td>
                    </tr>
                    <tr>
                        <td>Personal Investment Assets</td>
                        <td>@string.Format("{0:C0}", Model.Accumulation.AssetAnalysis.PersonalInvestmentAssets)</td>
                    </tr>
                    <tr>
                        <td>Insurance Assets</td>
                        <td>@string.Format("{0:C0}", Model.Accumulation.AssetAnalysis.InsuranceAssets)</td>
                    </tr>
                </tbody>
                <tfoot>
                    <tr>
                        <td>Asset Analysis Total</td>
                        <td>@string.Format("{0:C0}", Model.Accumulation.AssetAnalysis.AssetAnalysisTotal)</td>
                    </tr>
                </tfoot>
            </table>
            <div>
                <table class="explicit-vue-table" style="width: 500px; ">
                    <thead>
                        <tr>
                            <th colspan="2" class="bg-lap-primary">Property Analysis</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td>Real Property</td>
                            <td style="width: 120px">@string.Format("{0:C0}", Model.Accumulation.PropertyAnalysis.RealProperty)</td>
                        </tr>
                        <tr>
                            <td>Personal Property</td>
                            <td>@string.Format("{0:C0}", Model.Accumulation.PropertyAnalysis.PersonalProperty)</td>
                        </tr>
                    </tbody>
                    <tfoot>
                        <tr>
                            <td>Property Analysis Total</td>
                            <td>@string.Format("{0:C0}", Model.Accumulation.PropertyAnalysis.PropertyAnalysisTotal)</td>
                        </tr>
                    </tfoot>
                </table>
                <div style="width: 550px; font-family: 'Lato', sans-serif !important; font-size: 20px">
                    <div style="line-height: 1.5; padding-left: 10px; font-weight: 600; color: #000;">
                        Client Assets Total: <label style="border:none!important">@string.Format("{0:C0}", Model.Accumulation.ClientAssetTotal)</label>
                    </div>
                    <div style="line-height: 1.5; padding-left: 10px; font-weight: 600; color: #000;">
                        Client Debt Total: <label style="border:none!important">@string.Format("{0:C0}", Model.Accumulation.ClientDebtTotal)</label>
                    </div>
                    <div style="color: #001E54; background: #e3ecf3; padding: 5px; padding-left: 10px" class="font-weight-600 font-size-12">
                        Client Net Worth Analysis Total: <label style="border: none !important;background: #fff; padding: 2px 10px; color: #000; display: inline-block; width: 150px;" class="@(Model.Accumulation.ClientNetWorthTotal >= 0 ? "":"text-danger")">@Model.Accumulation.ClientNetWorthTotal.FormatNagativeAmount()</label>
                    </div>
                </div>
            </div>
        </div>

        <div class="font-size-16 font-weight-400" style="color: #275E8E; margin: 5px 0; ">Preservation | Income</div>
        <div class="d-flex">
            <table class="explicit-vue-table" style="width:500px;margin-right:3px">
                <thead>
                    <tr>
                        <th colspan="2" class="bg-lap-secondary">Cash Flow Analysis</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>Household Income</td>
                        <td class="text-maroon" style="width: 120px">@string.Format("{0:C0}", Model.Preservation.CashFlowAnalysis.HouseholdIncome)</td>
                    </tr>
                    <tr>
                        <td>Earned Income</td>
                        <td>@string.Format("{0:C0}", Model.Preservation.CashFlowAnalysis.EarnedIncome)</td>
                    </tr>
                    <tr>
                        <td>Other Income</td>
                        <td>@string.Format("{0:C0}", Model.Preservation.CashFlowAnalysis.OtherIncome)</td>
                    </tr>
                    <tr>
                        <td>Employer Pension</td>
                        <td>@string.Format("{0:C0}", Model.Preservation.CashFlowAnalysis.EmployerPension)</td>
                    </tr>
                    <tr>
                        <td>Household Expenses</td>
                        <td class="text-maroon">@string.Format("{0:C0}", Model.Preservation.CashFlowAnalysis.HouseholdExpenses)</td>
                    </tr>
                    <tr>
                        <td>Inflationary Expenses</td>
                        <td>@string.Format("{0:C0}", Model.Preservation.CashFlowAnalysis.InflationaryExpenses)</td>
                    </tr>
                    <tr>
                        <td>Non-Inflationary Expenses</td>
                        <td>@string.Format("{0:C0}", Model.Preservation.CashFlowAnalysis.NonInflationaryExpenses)</td>
                    </tr>
                </tbody>
                <tfoot>
                    <tr>
                        <td>Cash Flow Analysis Total</td>
                        <td class="text-maroon">@Model.Preservation.CashFlowAnalysis.CashFlowAnalysisTotal.FormatNagativeAmount()</td>
                    </tr>
                </tfoot>
            </table>
            <table class="explicit-vue-table" style="width: 500px; margin-right: 3px">
                <thead>
                    <tr>
                        <th colspan="2" class="bg-lap-secondary">Asset Analysis</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>Employer Retirement Plans</td>
                        <td style="width: 120px">@string.Format("{0:C0}", Model.Preservation.AssetAnalysis.EmployerRetirementPlans)</td>
                    </tr>
                    <tr>
                        <td>Bank Assets</td>
                        <td>@string.Format("{0:C0}", Model.Preservation.AssetAnalysis.BankAssets)</td>
                    </tr>
                    <tr>
                        <td>Personal Investment Assets</td>
                        <td>@string.Format("{0:C0}", Model.Preservation.AssetAnalysis.PersonalInvestmentAssets)</td>
                    </tr>
                    <tr>
                        <td>Insurance Assets</td>
                        <td>@string.Format("{0:C0}", Model.Preservation.AssetAnalysis.InsuranceAssets)</td>
                    </tr>
                </tbody>
                <tfoot>
                    <tr>
                        <td>Asset Analysis Total</td>
                        <td>@string.Format("{0:C0}", Model.Preservation.AssetAnalysis.AssetAnalysisTotal)</td>
                    </tr>
                </tfoot>
            </table>
            <div>
                <table class="explicit-vue-table" style="width: 500px;">
                    <thead>
                        <tr>
                            <th colspan="2" class="bg-lap-secondary">Property Analysis</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td>Real Property</td>
                            <td style="width: 120px">@string.Format("{0:C0}", Model.Preservation.PropertyAnalysis.RealProperty)</td>
                        </tr>
                        <tr>
                            <td>Personal Property</td>
                            <td>@string.Format("{0:C0}", Model.Preservation.PropertyAnalysis.PersonalProperty)</td>
                        </tr>
                    </tbody>
                    <tfoot>
                        <tr>
                            <td>Property Analysis Total</td>
                            <td>@string.Format("{0:C0}", Model.Preservation.PropertyAnalysis.PropertyAnalysisTotal)</td>
                        </tr>
                    </tfoot>
                </table>
                <div style="width: 550px; font-family: 'Lato', sans-serif !important; font-size: 20px">
                    <div style="line-height: 1.5; padding-left: 10px; font-weight: 600; color: #000;">
                        Client Assets Total: @string.Format("{0:C0}", Model.Preservation.ClientAssetTotal)
                    </div>
                    <div style="line-height: 1.5; padding-left: 10px; font-weight: 600; color: #000;">
                        Client Debt Total: @string.Format("{0:C0}", Model.Preservation.ClientDebtTotal)
                    </div>
                    <div style="color: #275E8E; background: #e3ecf3; padding: 5px; padding-left: 10px" class="font-weight-600 font-size-12">
                        Client Net Worth Analysis Total: <span style="background: #fff; padding: 2px 10px; color: #000; display: inline-block; width: 150px; " class="@(Model.Preservation.ClientNetWorthTotal >= 0 ? "":"text-danger")">@Model.Preservation.ClientNetWorthTotal.FormatNagativeAmount()</span>
                    </div>
                </div>
            </div>
        </div>

        <div class="font-size-16 font-weight-400" style="color: #5A9C3D; margin: 5px 0;">Distribution</div>
        <div class="d-flex distribution" style="margin-bottom:10px">
            <table class="explicit-vue-table" style="width:500px;margin-right:3px">
                <thead>
                    <tr>
                        <th colspan="2" class="bg-lap-success">Asset Analysis</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>Employer Retirement Plans</td>
                        <td style="width: 120px">@string.Format("{0:C0}", Model.Distribution.AssetAnalysis.EmployerRetirementPlans)</td>
                    </tr>
                    <tr>
                        <td>Bank Assets</td>
                        <td>@string.Format("{0:C0}", Model.Distribution.AssetAnalysis.BankAssets)</td>
                    </tr>
                    <tr>
                        <td>Personal Investment Assets</td>
                        <td>@string.Format("{0:C0}", Model.Distribution.AssetAnalysis.PersonalInvestmentAssets)</td>
                    </tr>
                    <tr>
                        <td>Insurance Assets</td>
                        <td>@string.Format("{0:C0}", Model.Distribution.AssetAnalysis.InsuranceAssets)</td>
                    </tr>
                </tbody>
                <tfoot>
                    <tr>
                        <td>Asset Analysis Total</td>
                        <td>@string.Format("{0:C0}", Model.Distribution.AssetAnalysis.AssetAnalysisTotal)</td>
                    </tr>
                </tfoot>
            </table>
            <table class="explicit-vue-table" style="width: 500px;">
                <thead>
                    <tr>
                        <th colspan="2" class="bg-lap-success">Property Analysis</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>Real Property</td>
                        <td style="width: 120px">@string.Format("{0:C0}", Model.Distribution.PropertyAnalysis.RealProperty)</td>
                    </tr>
                    <tr>
                        <td>Personal Property</td>
                        <td>@string.Format("{0:C0}", Model.Distribution.PropertyAnalysis.PersonalProperty)</td>
                    </tr>
                </tbody>
                <tfoot>
                    <tr>
                        <td>Property Analysis Total</td>
                        <td>@string.Format("{0:C0}", Model.Distribution.PropertyAnalysis.PropertyAnalysisTotal)</td>
                    </tr>
                </tfoot>
            </table>
            <div style="width: 550px; font-family: 'Lato', sans-serif !important; margin-top:80px;font-size:20px">
                <div style="line-height: 1.5; padding-left: 10px; font-weight: 600; color: #000;">
                    Client Assets Total: @string.Format("{0:C0}", Model.Distribution.ClientAssetTotal)
                </div>
                <div style="line-height: 1.5; padding-left: 10px; font-weight: 600; color: #000;">
                    Client Debt Total: @string.Format("{0:C0}", Model.Distribution.ClientDebtTotal)
                </div>
                <div style="color: #5A9C3D; background: #deebd8; padding: 5px; padding-left: 10px " class="font-weight-600 font-size-12">
                    Client Net Worth Analysis Total: <span style="background: #fff; padding: 2px 10px; color: #000; display: inline-block; width: 150px;" class="@(Model.Distribution.ClientNetWorthTotal >= 0 ? "":"text-danger")">@Model.Distribution.ClientNetWorthTotal.FormatNagativeAmount()</span>
                </div>
            </div>
        </div>
    </div>
    <p class="new-page"></p>
    <div id="page5" class="page">
        <div class="font-size-20 font-weight-500 lap-primary-text" style="margin-top:10px;text-align:center;position:relative">
            Arc of Life
            <sup>™</sup>
            <span style="margin-left: 10px;">Cash Flow Report</span>
        </div>
        <div style="height: 1030px; width: 1550px;">
            <table class="report-table table-bordered report-table-font-@((nonStructureColspan+structureColspan)>8 ? "14":"16")" style="width:100%">
                <thead>
                    <tr class="bg-lap-secondary">
                        <th style="width: 20px" rowspan="2"># of Years</th>
                        <th style="width:20px" rowspan="2">
                            <div style="margin: 0 auto;">
                                <img src="/images/report/LAP-chart-@(clientData.Gender== GenderEnum.Male?"male":"female")-icon-40px.png" class="chart-image">
                            </div>
                            @clientData.Initial<br />
                            Age
                        </th>
                        @if (isMarried)
                        {
                            <th style="width:20px" rowspan="2">
                                <div style="margin: 0 auto;">
                                    <img src="/images/report/LAP-chart-@(spouseData.Gender== GenderEnum.Male?"male":"female")-icon-40px.png" class="chart-image">
                                </div>
                                @spouseInitial<br />
                                Age
                            </th>
                        }
                        <th style="width: 90px" rowspan="2">Household Annual Income Need</th>
                        @if (Model.ClientSalaryTotal > 0)
                        {
                            <th rowspan="2">
                                @clientData.Initial<br />
                                Salary/
                                Wages
                            </th>
                        }
                        @if (Model.ClientSelfEmpWagesTotal > 0)
                        {
                            <th rowspan="2">
                                @clientData.Initial<br />
                                Self
                                Employed
                            </th>
                        }
                        @if (isMarried && Model.SpouseSalaryTotal > 0)
                        {
                            <th rowspan="2">
                                @spouseInitial<br />
                                Salary/
                                Wages
                            </th>
                        }
                        @if (isMarried && Model.SpouseSelfEmpWagesTotal > 0)
                        {
                            <th rowspan="2">
                                @spouseInitial<br />
                                Self
                                Employed
                            </th>
                        }
                        @if (nonStructureColspan > 0)
                        {
                            <th colspan="@nonStructureColspan" class="bg-lap-primary" style="vertical-align: middle;">Non-Structured Sources of Income</th>
                        }
                        @if (structureColspan > 0)
                        {
                            <th colspan="@structureColspan" style="background: #002fa7; vertical-align: middle;">Structured Sources of Income</th>
                        }
                        <th class="bg-lap-success total" style="width:150px" rowspan="2">Total</th>
                        <th class="bg-lap-success total" style="width:150px" rowspan="2">CashFlow (+/-)</th>
                    </tr>
                    <tr class="bg-lap-secondary">
                        @if (Model.ClientPersonalPropertyTotal > 0)
                        {
                            <th>
                                @clientData.Initial<br />
                                Personal
                                Property
                            </th>
                        }
                        @if (isMarried && Model.SpousePersonalPropertyTotal > 0)
                        {
                            <th>
                                @spouseInitial<br />
                                Personal
                                Property
                            </th>
                        }
                        @if (Model.ClientInvestmentTotal > 0)
                        {
                            <th>
                                @clientData.Initial<br />
                                Investmts.
                            </th>
                        }
                        @if (isMarried && Model.SpouseInvestmentTotal > 0)
                        {
                            <th>
                                @spouseInitial<br />
                                Investmts.
                            </th>
                        }
                        @if (Model.ClientPersonalActivityTotal > 0)
                        {
                            <th>
                                @clientData.Initial<br />
                                Personal Activities
                            </th>
                        }
                        @if (isMarried && Model.SpousePersonalActivityTotal > 0)
                        {
                            <th>
                                @spouseInitial<br />
                                Personal Activities
                            </th>
                        }
                        @if (Model.ClientSocialSecurityTotal > 0)
                        {
                            <th>
                                @clientData.Initial<br />
                                Social
                                Security
                            </th>
                        }
                        @if (isMarried && Model.SpouseSocialSecurityTotal > 0)
                        {
                            <th>
                                @spouseInitial<br />
                                Social
                                Security
                            </th>
                        }
                        @if (Model.ClientPensionTotal > 0)
                        {
                            <th>
                                @clientData.Initial<br />
                                Pension
                            </th>
                        }
                        @if (isMarried && Model.SpousePensionTotal > 0)
                        {
                            <th>
                                @spouseInitial<br />
                                Pension
                            </th>
                        }
                        @if (Model.ClientAnnuityTotal > 0)
                        {
                            <th>
                                @clientData.Initial<br />
                                Annuity
                            </th>
                        }
                        @if (isMarried && Model.SpouseAnnuityTotal > 0)
                        {
                            <th>
                                @spouseInitial<br />
                                Annuity
                            </th>
                        }
                    </tr>
                </thead>
                <tbody>
                    @foreach (var item in cashFlowReportData)
                    {
                        <tr>
                            <td>@item.Id</td>
                            <td>@item.ClientAge</td>
                            @if (isMarried)
                            {
                                <td>@item.SpouseAge</td>
                            }
                            <td class="house-hold-@(item.Id%2==0?"even":"odd") text-right">@string.Format("{0:C0}", item.HouseHoldIncomeNeeded)</td>
                            @if (Model.ClientSalaryTotal > 0)
                            {
                                <td class="text-right">@string.Format("{0:C0}", item.ClientSalary)</td>
                            }
                            @if (Model.ClientSelfEmpWagesTotal > 0)
                            {
                                <td class="text-right">@string.Format("{0:C0}", item.ClientSelfEmpWages)</td>
                            }
                            @if (isMarried && Model.SpouseSalaryTotal > 0)
                            {
                                <td class="text-right">@string.Format("{0:C0}", item.SpouseSalary)</td>
                            }
                            @if (isMarried && Model.SpouseSelfEmpWagesTotal > 0)
                            {
                                <td class="text-right">@string.Format("{0:C0}", item.SpouseSelfEmpWages)</td>
                            }
                            @if (Model.ClientPersonalPropertyTotal > 0)
                            {
                                <td class="text-right">@string.Format("{0:C0}", item.ClientPersonalProperty)</td>
                            }
                            @if (isMarried && Model.SpousePersonalPropertyTotal > 0)
                            {
                                <td class="text-right">@string.Format("{0:C0}", item.SpousePersonalProperty)</td>
                            }
                            @if (Model.ClientInvestmentTotal > 0)
                            {
                                <td class="text-right">@string.Format("{0:C0}", item.ClientInvestment)</td>
                            }
                            @if (isMarried && Model.SpouseInvestmentTotal > 0)
                            {
                                <td class="text-right">@string.Format("{0:C0}", item.SpouseInvestment)</td>
                            }
                            @if (Model.ClientPersonalActivityTotal > 0)
                            {
                                <td class="text-right">@string.Format("{0:C0}", item.ClientPersonalActivity)</td>
                            }
                            @if (isMarried && Model.SpousePersonalActivityTotal > 0)
                            {
                                <td class="text-right">@string.Format("{0:C0}", item.SpousePersonalActivity)</td>
                            }
                            @if (Model.ClientSocialSecurityTotal > 0)
                            {
                                <td class="text-right">@string.Format("{0:C0}", item.ClientSocialSecurity)</td>
                            }
                            @if (isMarried && Model.SpouseSocialSecurityTotal > 0)
                            {
                                <td class="text-right">@string.Format("{0:C0}", item.SpouseSocialSecurity)</td>
                            }
                            @if (Model.ClientPensionTotal > 0)
                            {
                                <td class="text-right">@string.Format("{0:C0}", item.ClientPension)</td>
                            }
                            @if (isMarried && Model.SpousePensionTotal > 0)
                            {
                                <td class="text-right">@string.Format("{0:C0}", item.SpousePension)</td>
                            }
                            @if (Model.ClientAnnuityTotal > 0)
                            {
                                <td class="text-right">@string.Format("{0:C0}", item.ClientAnnuity)</td>
                            }
                            @if (isMarried && Model.SpouseAnnuityTotal > 0)
                            {
                                <td class="text-right">@string.Format("{0:C0}", item.SpouseAnnuity)</td>
                            }
                            <td class="total-@(item.Id%2==0?"even":"odd") text-right">@string.Format("{0:C0}", item.Total)</td>
                            <td class="total-@(item.Id%2==0?"even":"odd") text-right @(item.CashFlowTotal >= 0 ? "" : "text-danger")">@string.Format("{0:C0}", item.CashFlowTotal.FormatNagativeAmount())</td>
                        </tr>
                    }
                </tbody>
                <tfoot>
                    <tr>
                        <td>Totals</td>
                        <td colspan="@(isMarried ? 2 :1)"></td>
                        <td class="text-right">@string.Format("{0:C0}", Model.HouseHoldIncomeNeededTotal)</td>
                        @if (Model.ClientSalaryTotal > 0)
                        {
                            <td class="text-right">@string.Format("{0:C0}", Model.ClientSalaryTotal)</td>
                        }
                        @if (Model.ClientSelfEmpWagesTotal > 0)
                        {
                            <td class="text-right">@string.Format("{0:C0}", Model.ClientSelfEmpWagesTotal)</td>
                        }
                        @if (isMarried && Model.SpouseSalaryTotal > 0)
                        {
                            <td class="text-right">@string.Format("{0:C0}", Model.SpouseSalaryTotal)</td>
                        }
                        @if (isMarried && Model.SpouseSelfEmpWagesTotal > 0)
                        {
                            <td class="text-right">@string.Format("{0:C0}", Model.SpouseSelfEmpWagesTotal)</td>
                        }
                        @if (Model.ClientPersonalPropertyTotal > 0)
                        {
                            <td class="text-right">@string.Format("{0:C0}", Model.ClientPersonalPropertyTotal)</td>
                        }
                        @if (isMarried && Model.SpousePersonalPropertyTotal > 0)
                        {
                            <td class="text-right">@string.Format("{0:C0}", Model.SpousePersonalPropertyTotal)</td>
                        }
                        @if (Model.ClientInvestmentTotal > 0)
                        {
                            <td class="text-right">@string.Format("{0:C0}", Model.ClientInvestmentTotal)</td>
                        }
                        @if (isMarried && Model.SpouseInvestmentTotal > 0)
                        {
                            <td class="text-right">@string.Format("{0:C0}", Model.SpouseInvestmentTotal)</td>
                        }
                        @if (Model.ClientPersonalActivityTotal > 0)
                        {
                            <td class="text-right">@string.Format("{0:C0}", Model.ClientPersonalActivityTotal)</td>
                        }
                        @if (isMarried && Model.SpousePersonalActivityTotal > 0)
                        {
                            <td class="text-right">@string.Format("{0:C0}", Model.SpousePersonalActivityTotal)</td>
                        }
                        @if (Model.ClientSocialSecurityTotal > 0)
                        {
                            <td class="text-right">@string.Format("{0:C0}", Model.ClientSocialSecurityTotal)</td>
                        }
                        @if (isMarried && Model.SpouseSocialSecurityTotal > 0)
                        {
                            <td class="text-right">@string.Format("{0:C0}", Model.SpouseSocialSecurityTotal)</td>
                        }
                        @if (Model.ClientPensionTotal > 0)
                        {
                            <td class="text-right">@string.Format("{0:C0}", Model.ClientPensionTotal)</td>
                        }
                        @if (isMarried && Model.SpousePensionTotal > 0)
                        {
                            <td class="text-right">@string.Format("{0:C0}", Model.SpousePensionTotal)</td>
                        }
                        @if (Model.ClientAnnuityTotal > 0)
                        {
                            <td class="text-right">@string.Format("{0:C0}", Model.ClientAnnuityTotal)</td>
                        }
                        @if (isMarried && Model.SpouseAnnuityTotal > 0)
                        {
                            <td class="text-right">@string.Format("{0:C0}", Model.SpouseAnnuityTotal)</td>
                        }
                        <td class="text-right">@string.Format("{0:C0}", Model.GrandTotal)</td>
                        <td class="text-right @(Model.CashFlowGrandTotal >= 0 ? "" : "text-danger")">@string.Format("{0:C0}", Model.CashFlowGrandTotal.FormatNagativeAmount())</td>
                    </tr>
                </tfoot>
            </table>
        </div>
    </div>
</body>
</html>
<script id="header-template" type="text/html">
    <div class="d-flex page-header" style="width: 1550px;">
        <div>
            @if (!string.IsNullOrEmpty(businessLogoImage))
            {
                                     <img src="@businessLogoImage" height="100" style="margin-top:20px">
            }
        </div>
        <div style="width: 1300px; margin-left: auto; margin-right: 0;">
            <table class="header-table" style="width:100%">
                <thead>
                    <tr>
                        <td class="font-weight-500" style="width: 20%">Prepared by:</td>
                        <td style="text-align: right; width: 30%;">@adviserData.Name</td>
                        <td class="font-weight-500" style="width: 20%;">Phone:</td>
                        <td style="text-align: right; width: 30%;">@string.Join(", ",phones)</td>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td class="font-weight-500">Prepared For:</td>
                        <td style="text-align: right;">@clientData.Name</td>
                        @if (isMarried)
                        {
                                                                                                                    <td class="font-weight-500">Spouse:</td>
                                                                                                                    <td style="text-align: right;">@spouseData.Name</td>
                        }
                        else
                        {
                                                                                                                    <td></td>
                                                                                                                    <td style="text-align: right;"></td>
                        }
                    </tr>
                    <tr>
                        <td class="font-weight-500">Age:</td>
                        <td style="text-align: right">@clientAge</td>
                        @if (isMarried)
                        {
                                                                                                                    <td class="font-weight-500">Age:</td>
                                                                                                                    <td style="text-align: right;" class="@(spouseHasDOB ?"":"text-danger")">@(spouseHasDOB ? spouseAge : "N/A")</td>
                        }
                        else
                        {
                                                                                                                    <td></td>
                                                                                                                    <td style="text-align: right;"></td>
                        }
                    </tr>
                    <tr>
                        <td class="font-weight-500">Retirement Age:</td>
                        <td style="text-align: right;" class="@( Model.ClientActualRetirementAge > 0 ? "":"text-danger")">@(Model.ClientActualRetirementAge > 0 ? Model.ClientActualRetirementAge : "N/A")</td>
                        @if (isMarried)
                        {
                                                                                                                    <td class="font-weight-500">Retirement Age:</td>
                                                                                                                    <td style="text-align: right" class="@(hasSpouseOccupation && Model.SpouseActualRetirementAge > 0 ? "":"text-danger")">@(hasSpouseOccupation && Model.SpouseActualRetirementAge > 0 ? Model.SpouseActualRetirementAge : "N/A")</td>
                        }
                        else
                        {
                                                                                                                    <td></td>
                                                                                                                    <td style="text-align: right;"></td>
                        }
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</script>
<script id="footer-template" type="text/html">
    <div class="footer">
        <div class="d-flex">
            <div style="width:625px;border-right:solid 1px #000000;padding-right:20px;">
                <p class="text" style="font-size:19px;">
                    This Arc of Life™ report is compiled from information you have furnished in the LifeArcPlan™ survey. We make no representations or warranties as to the accuracy, timeliness, suitability, completeness, or relevance of such information. LifeArcPlan™, provider of this Arc of Life™ report, cannot be held liable for any errors or omissions. This Arc of Life™ report is provided for educational purposes only and you should be guided accordingly.
                </p>
            </div>
            <div style="width:100px;margin-left:30px">
                <img src="/images/report/LAP-logo-cover.png" style="margin-top:20px;width:100%" />
            </div>
            <div style="width: 100px; text-align: right;" class="font-size-12">
                <div class="font-weight-500">Page #currentPage of #totalPage</div>
                <div class="font-weight-300">@localDate @localTime</div>
            </div>
        </div>
    </div>
</script>
<script src="https://code.jquery.com/jquery-1.12.4.js"></script>
<script src="~/JSON/usa-state-city.js"></script>
<script>
    function onLoadReport() {
        var isClientRetired = '@Model.IsClientRetired' == "True";
        var isSpouseRetired = '@Model.IsSpouseRetired' == "True";
        var isSingleOrDivorced = '@isSingleOrDivorced' == "True";
        if ((isClientRetired && isSpouseRetired) || (isSingleOrDivorced && isClientRetired)) {
            $(".accumlation.accumlation-na label").text("N/A");
            $(".accumlation.accumlation-na .explicit-vue-table tr td:last-child").text("N/A");
            $(".accumlation.accumlation-na .explicit-vue-table tr td:last-child").attr('style', 'text-align:left !important');
        }
        else {
            if (isClientRetired)
                $(".accumlation-na.client-data label").text("N/A");
            if (isSpouseRetired)
                $(".accumlation-na.spouse-data label").text("N/A");
        }
        SetHeaderFooter();
    }
    function SetHeaderFooter() {
        var totalPage = $(".page").length;
        $(".page").each(function (i, item) {
            var currentPage = i + 1;
            var html = $("#footer-template").html().replace("#currentPage", currentPage).replace("#totalPage", totalPage);
            $(this).append(html);
            if (currentPage == 2 || currentPage == 3 || currentPage == 4)
                $(this).prepend($("#header-template").html());
        });
    }
</script>